<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: createPhysToEcuConv.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('create_phys_to_ecu_conv_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">createPhysToEcuConv.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;sys/types.h&gt;</code><br />
<code>#include &lt;dirent.h&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
<code>#include &lt;<a class="el" href="recursive_hierarch_search_8hpp_source.html">recursiveHierarchSearch.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for createPhysToEcuConv.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="create_phys_to_ecu_conv_8hpp__incl.png" border="0" usemap="#create_phys_to_ecu_conv_8hpp" alt=""/></div>
<map name="create_phys_to_ecu_conv_8hpp" id="create_phys_to_ecu_conv_8hpp">
<area shape="rect" title=" " alt="" coords="1210,5,1401,32"/>
<area shape="rect" title=" " alt="" coords="5,80,85,107"/>
<area shape="rect" title=" " alt="" coords="110,80,183,107"/>
<area shape="rect" title=" " alt="" coords="208,80,275,107"/>
<area shape="rect" title=" " alt="" coords="299,80,365,107"/>
<area shape="rect" title=" " alt="" coords="389,80,456,107"/>
<area shape="rect" title=" " alt="" coords="480,80,555,107"/>
<area shape="rect" title=" " alt="" coords="579,80,653,107"/>
<area shape="rect" title=" " alt="" coords="677,80,736,107"/>
<area shape="rect" title=" " alt="" coords="760,80,827,107"/>
<area shape="rect" title=" " alt="" coords="851,80,925,107"/>
<area shape="rect" title=" " alt="" coords="949,80,1035,107"/>
<area shape="rect" title=" " alt="" coords="1059,80,1101,107"/>
<area shape="rect" title=" " alt="" coords="1126,80,1250,107"/>
<area shape="rect" title=" " alt="" coords="1274,80,1337,107"/>
<area shape="rect" title=" " alt="" coords="1361,80,1457,107"/>
<area shape="rect" title=" " alt="" coords="1481,80,1553,107"/>
<area shape="rect" title=" " alt="" coords="989,155,1152,196"/>
<area shape="rect" title=" " alt="" coords="1176,155,1339,196"/>
<area shape="rect" title=" " alt="" coords="1363,155,1525,196"/>
<area shape="rect" title=" " alt="" coords="1550,155,1725,196"/>
<area shape="rect" title=" " alt="" coords="1749,155,1923,196"/>
<area shape="rect" title=" " alt="" coords="1947,155,2122,196"/>
<area shape="rect" title=" " alt="" coords="2147,162,2291,189"/>
<area shape="rect" title=" " alt="" coords="2315,155,2464,196"/>
<area shape="rect" title=" " alt="" coords="2489,162,2623,189"/>
<area shape="rect" title=" " alt="" coords="2648,162,2861,189"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html" title=" " alt="" coords="1831,80,2041,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="create_phys_to_ecu_conv_8hpp__dep__incl.png" border="0" usemap="#create_phys_to_ecu_conv_8hppdep" alt=""/></div>
<map name="create_phys_to_ecu_conv_8hppdep" id="create_phys_to_ecu_conv_8hppdep">
<area shape="rect" title=" " alt="" coords="18,5,209,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html" title=" " alt="" coords="5,80,221,107"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="39,155,187,196"/>
</map>
</div>
</div>
<p><a href="create_phys_to_ecu_conv_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_variable__type.html">Variable_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad1005bb465930080003dbdcf2ce14266"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_phys_to_ecu_conv_8hpp.html#ad1005bb465930080003dbdcf2ce14266">defineRecHierarachSearch</a></td></tr>
<tr class="separator:ad1005bb465930080003dbdcf2ce14266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c7e8826e5593dbba7af25de6d2597f2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_phys_to_ecu_conv_8hpp.html#a8c7e8826e5593dbba7af25de6d2597f2">variableType</a></td></tr>
<tr class="separator:a8c7e8826e5593dbba7af25de6d2597f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a1428567155675d130b5f04f9bc2cf0a0"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0">createPhysToEcuConv</a> (<a class="el" href="struct_variable__type.html">Variable_type</a> variable)</td></tr>
<tr class="separator:a1428567155675d130b5f04f9bc2cf0a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad1005bb465930080003dbdcf2ce14266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1005bb465930080003dbdcf2ce14266">&#9670;&nbsp;</a></span>defineRecHierarachSearch</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define defineRecHierarachSearch</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c7e8826e5593dbba7af25de6d2597f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c7e8826e5593dbba7af25de6d2597f2">&#9670;&nbsp;</a></span>variableType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define variableType</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1428567155675d130b5f04f9bc2cf0a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1428567155675d130b5f04f9bc2cf0a0">&#9670;&nbsp;</a></span>createPhysToEcuConv()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; createPhysToEcuConv </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_variable__type.html">Variable_type</a>&#160;</td>
          <td class="paramname"><em>variable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="create_phys_to_ecu_conv_8hpp_a1428567155675d130b5f04f9bc2cf0a0_icgraph.png" border="0" usemap="#create_phys_to_ecu_conv_8hpp_a1428567155675d130b5f04f9bc2cf0a0_icgraph" alt=""/></div>
<map name="create_phys_to_ecu_conv_8hpp_a1428567155675d130b5f04f9bc2cf0a0_icgraph" id="create_phys_to_ecu_conv_8hpp_a1428567155675d130b5f04f9bc2cf0a0_icgraph">
<area shape="rect" title=" " alt="" coords="679,5,843,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="449,5,631,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="create_phys_to_ecu_conv_8hpp.html">createPhysToEcuConv.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
